use SVH_REPORT_DB
go


/*
|| Fecha: 2022.09.09
|| Autor: Jhon Reyes
|| Proceso: Script de update, para las tablas de maestro cartera e inf adjudicados
|| Campos actualizados:
||		- USR076
||		- USR063
|| Ejecución: Este script se ejecutó para el cierre de agosto
*/



/*
|| USR076_COMPENSACION_PROTOCOLO_KB. 
||		A revisar ya que en maestro cartera es negativo pero en inf adj esta como positivo, cuando lo correcto según nos comenta Lidia es como lo tiene cartera,
||		es decir, debe ser negativo
*/

	UPDATE ADJ
	SET ADJ.USR076 = USR076*-1
	FROM SVH_REPORT_DB.JUNO.INF_ADJUDICADOS ADJ
	WHERE SOCIEDAD = 220 AND UNIDAD_REGISTRAL = 60723551
	AND PERIODO = '202208'

	-- No fue necesario ejecutar update en cartera, ya que el valor aquí ya es negativo. Revisar por que aquí es negativo y en inf adj positivo
	/*
	SELECT USR076_COMPENSACION_PROTOCOLO_KB
	FROM SVH_REPORT_DB.JUNO.MAESTRO_CARTERA
	WHERE SOCIEDAD = 220 AND UNIDAD_REGISTRAL = 60723551
	AND PERIODO = '202208'
	*/

/*
|| USR063_CORRECCION_CONSOLIDADA_CIERRE_EJERCICIO_ANTERIOR.
*/

	UPDATE ADJ
	SET ADJ.USR063 = -13129.87 
	FROM SVH_REPORT_DB.JUNO.INF_ADJUDICADOS ADJ
	WHERE SOCIEDAD = 280 AND UNIDAD_REGISTRAL = 60732958
	AND PERIODO = '202208'

	UPDATE ADJ
	SET ADJ.USR063 = -48467.59  
	FROM SVH_REPORT_DB.JUNO.INF_ADJUDICADOS ADJ
	WHERE SOCIEDAD = 280 AND UNIDAD_REGISTRAL = 60732980
	AND PERIODO = '202208'

	UPDATE CARTERA
	SET CARTERA.USR063_CORRECCION_CONSOLIDADA_CIERRE_EJERCICIO_ANTERIOR = -13129.87
	FROM SVH_REPORT_DB.JUNO.MAESTRO_CARTERA CARTERA
	WHERE SOCIEDAD = 280 AND UNIDAD_REGISTRAL = 60732958
	AND PERIODO = '202208'


	UPDATE CARTERA
	SET CARTERA.USR063_CORRECCION_CONSOLIDADA_CIERRE_EJERCICIO_ANTERIOR = -48467.59
	FROM SVH_REPORT_DB.JUNO.MAESTRO_CARTERA CARTERA
	WHERE SOCIEDAD = 280 AND UNIDAD_REGISTRAL = 60732980
	AND PERIODO = '202208'

